# Auditing::Middleware
Provides logging support to middleware.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'auditing_middleware'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install auditing_middleware

## Dependencies
* [SoarAspects](https://rubygems.org/gems/soar_aspects) - for loading auditor into environment variable
* [SoarAuditorApi](https://rubygems.org/gems/soar_auditor_api) - support for 'some' Audit Provider

## Usage

Setting up an Audit Provider

```ruby
configuration = { "preprefix" => "very important:" }
auditor = SanityAuditor.new
auditor.configure(configuration)
auditor.set_audit_level(:error)
```

Using Soar Aspect

```ruby
SoarAspects::Aspects::auditing = auditor
```

Add support to Rack Middleware

```ruby
def call(env)
  @app.call(env)
rescue => exception
  Auditing::Middleware.error(exception)
end 
```

## Contributing

Please send feedback and comments to the author at:

Dane-Garrin Balia <dane.balia@hetzner.co.za>

This gem is sponsored by Hetzner (Pty) Ltd - http://hetzner.co.za

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
